/*
 * Copyright (C) 2020-2021 Aloysius Indrayanto
 *
 * This file is part of the eCxx library, see LICENSE file for the license details.
 */


#include <eCxx/eCxx.h>

#include "AVR_Common.h"


//
// Pin numbers
//
static constexpr eCxx::uint8_t OWSU_PIN = 2;


//
// Include common source code for BasicOWSUMaster test application
//
#include "../CommonCode/BasicOWSUMaster_Common.h"


//
// The init function
//
void eCxx_user_init()
{
    // Initialize application
    initBasicAVRApp();

    // Initialize UART and one-wire software UART
    initUARTAndOWSU();
}


//
// The task function
//
void eCxx_user_task()
{
    // Process event and send-receive data
    eCxx_user_task_OWSUMaster_TxRx();
}
